Skip to main content
`Ctrl`+`K`

# TaoComputeInequalityConstraints

Compute the variable bounds using the routine set by `TaoSetInequalityConstraintsRoutine()`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeInequalityConstraints(Tao tao, Vec X, Vec CI)

Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameters

- X - point the inequality constraints were evaluated on

- CI - vector of inequality constraints evaluated at X

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetInequalityConstraintsRoutine()`, `TaoComputeJacobianInequality()`, `TaoComputeEqualityConstraints()`

## Level

developer

## Location

src/tao/interface/taosolver_bounds.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages